hnscnvt

## Class HNSSignSAXHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - xml.BasicSAXHandler
    - - hnscnvt.HNSSignSAXHandler

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

      public class HNSSignSAXHandler
      extends BasicSAXHandler

  SAX handler for a SiGML `<hns_sign>` element, for which the handler generates an `HNSSign`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HNSSignSAXHandler(CleanerEntityResolver er, HamNameMap hnmap)` Constructs a new `<hns_sign>` element handler, which uses the given entity resolver and HNS name map.
    `HNSSignSAXHandler(HamNameMap hnmap)` Constructs a new `hns_sign` element handler, which uses the given HNS name map, and a standard SiGML entity resolver.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endDocument()` Handler for SAX end-document event.
    `void` | `endElement(java.lang.String nsuri, java.lang.String localnm, java.lang.String rawnm)` Handler for SAX end-element event.
    `HNSSign` | `getHNSSign()` Returns the scanned `HNSSign`.
    `void` | `startDocument()` Handler for SAX start-document event.
    `void` | `startElement(java.lang.String nsuri, java.lang.String localnm, java.lang.String rawnm, org.xml.sax.Attributes attribs)` Handler for SAX start element event.

    - ### Methods inherited from class xml.BasicSAXHandler

      `error, fatalError, resolveEntity, setDocumentLocator, warning`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `characters, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, skippedEntity, startPrefixMapping, unparsedEntityDecl`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HNSSignSAXHandler

          public HNSSignSAXHandler(HamNameMap hnmap)

      Constructs a new `hns_sign` element handler, which uses the given HNS name map, and a standard SiGML entity resolver.

    - #### HNSSignSAXHandler

          public HNSSignSAXHandler(CleanerEntityResolver er,
                                   HamNameMap hnmap)

      Constructs a new `<hns_sign>` element handler, which uses the given entity resolver and HNS name map.

  - ### Method Detail

    - #### getHNSSign

          public HNSSign getHNSSign()

      Returns the scanned `HNSSign`.

    - #### startDocument

          public void startDocument()
                             throws org.xml.sax.SAXException

      Handler for SAX start-document event.
      Specified by:
        `startDocument` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startDocument` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endDocument

          public void endDocument()
                           throws org.xml.sax.SAXException

      Handler for SAX end-document event.
      Specified by:
        `endDocument` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endDocument` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### startElement

          public void startElement(java.lang.String nsuri,
                                   java.lang.String localnm,
                                   java.lang.String rawnm,
                                   org.xml.sax.Attributes attribs)
                            throws org.xml.sax.SAXException

      Handler for SAX start element event.
      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endElement

          public void endElement(java.lang.String nsuri,
                                 java.lang.String localnm,
                                 java.lang.String rawnm)
                          throws org.xml.sax.SAXException

      Handler for SAX end-element event.
      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endElement` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`